# Create Compile And Execute Environment

Create environment in catalog, compiles it and then finally execute it.

Endpoint: POST /v1/idp-environments
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `orgIdentifier` (string)
    Unique identifier of the organization within the account

  - `projectIdentifier` (string)
    Unique identifier of the project within the organization

  - `dryRun` (boolean)
    When true, only compiles and validates the environment without creating entity or executing. When false (default), compiles, creates entity, and executes.

## Request fields (application/json):

  - `environment_name` (string, required)
    Environment Name

  - `environment_identifier` (string, required)
    Environment Identifier

  - `owner` (string, required)
    Owner

  - `environment_blueprint_identifier` (string, required)
    Environment BluePrint Identifier

  - `environment_blueprint_version` (string, required)
    Version of the environment blueprint (e.g., v1.0.0)

  - `based_on_identifier` (string)
    Reference to the environment this is based on in format environment:account.orgIdentifier.projectIdentifier/identifier

  - `overrides` (string, required)
    Overrides in Yaml format

  - `target_state` (any)
    Target state for the environment
    Enum: "running", "inactive", "paused"

  - `inputs` (string)
    Inputs for the environment as YAML/JSON string (e.g., ttl, resources)

  - `type` (string)
    Type of the environment (e.g., ephemeral, persistent)

  - `tags` (array)
    Tags

  - `description` (string)
    Description


## Response 200 fields
